Skip to content

Get Agent

GET /agents/{agent_id}
NameInTypeNotes
agent_idpathstring (uuid)required—
includequerystring | nulloptional—
StatusDescriptionBody
200Successful ResponseAgentView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/agents/{agent_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
scopeworkspace | organization | platformrequired—
organization_idstring (uuid) | nullrequired, nullable—
workspace_idstring (uuid) | nullrequired, nullable—
slugstringrequired—
namestringrequired—
descriptionstring | nullrequired, nullable—
avatar_presetanalyst | archivist | builder | courier | gardener | navigator | scribe | sentinel | nullrequired, nullable—
image_urlstring | nullrequired, nullable—
is_activebooleanrequired—
attributesobjectrequired—
active_revision_idstring (uuid) | nullrequired, nullable—
created_by_user_idstring (uuid) | nullrequired, nullable—
created_atstring (date-time)required—
updated_atstring (date-time)required—
active_revisionAgentRevisionView | nulloptional—
revision_countinteger | nulloptional—